Bug 429994 - licensing
licensing
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 01:20 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
set license at gplv2 only (181.16 KB, patch)
2008-02-04 11:26 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:20:27 EST
Ticket #29 (new defect)

Opened 3 months ago

Last modified 3 months ago
licensing
Reported by: 	kmacmill 	Assigned to: 	kmacmill
Priority: 	major 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Description ¶

- The license in the rpms needs to be clarified - The python files need to be change to GPL v2 or later or LGPL

On Thu, 2007-10-11 at 10:47 -0400, Rob Crittenden wrote: In the RPM spec files we currently have the license as "GPL".

    Fedora is tightening up its description of licenses so GPL is sort of meaningless. We have a mix of license headers: GPL v2 + exceptions (extop plugin, memberof plugin, dna plugin) The python files have a mix of v2 only, v2, v2.1 and v2 or later.

Change History
2007-10-31 11:02:23 changed by kmacmill ¶

    * milestone changed from milestone-5 to release-1.
Comment 3 Rob Crittenden 2008-02-04 11:26:30 EST
Created attachment 293904 [details]
set license at gplv2 only
Comment 4 Rob Crittenden 2008-02-06 15:58:46 EST
Committed in changeset 627
Comment 5 Yi Zhang 2008-04-07 18:03:20 EDT
the unauthenticate file stored under /etc/ipa/html

qa verified, bug closed
build used: 4-7-2008 daily build

Note You need to log in before you can comment on or make changes to this bug.